lkml.org 
[lkml]   [2019]   [May]   [16]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
Date
SubjectRe: [PATCH] gcc-plugins: arm_ssp_per_task_plugin: Fix for older GCC < 6
On Sat, 11 May 2019 at 00:42, Doug Anderson <dianders@chromium.org> wrote:
>
> Hi,
>
> > Use gen_rtx_set instead of gen_rtx_SET. The former is a wrapper macro
> > that handles the difference between GCC versions implementing
> > the latter.
> >
> > This fixes the following error on my system with g++ 5.4.0 as the host
> > compiler
> >
> > HOSTCXX -fPIC scripts/gcc-plugins/arm_ssp_per_task_plugin.o
> > scripts/gcc-plugins/arm_ssp_per_task_plugin.c:42:14: error: macro "gen_rtx_SET" requires 3 arguments, but only 2 given
> > mask)),
> > ^
> > scripts/gcc-plugins/arm_ssp_per_task_plugin.c: In function ‘unsigned int arm_pertask_ssp_rtl_execute()’:
> > scripts/gcc-plugins/arm_ssp_per_task_plugin.c:39:20: error: ‘gen_rtx_SET’ was not declared in this scope
> > emit_insn_before(gen_rtx_SET
> >
> > Signed-off-by: Chris Packham <chris.packham@alliedtelesis.co.nz>
> > ---
> > scripts/gcc-plugins/arm_ssp_per_task_plugin.c | 2 +-
> > 1 file changed, 1 insertion(+), 1 deletion(-)
>
> I can confirm that I was getting compile errors before this patch and
> applying it allowed me to compile and boot. Thanks! :-)
>
> Tested-by: Douglas Anderson <dianders@chromium.org>
>

Reviewed-by: Ard Biesheuvel <ard.biesheuvel@linaro.org>

\
 
 \ /
  Last update: 2019-05-16 10:47    [W:0.041 / U:0.376 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site